% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
%
% Debug mode selection dialog.
%
% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Some global vars.
%
/debug.default 0 def

/debug.options [
  ""
  "debug"
] def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Build debug list.
%
% ( ) ==> ( )
%
/debug.init {
  /xmenu.debug .xm_size array def

  /xmenu xmenu.debug def

  xmenu .xm_current debug.default put
  xmenu .xm_list [ "Off" "On" ] put

  pmenu.init
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Update debug mode.
%
% ( ) ==> ( )
%
/debug.update {
  /xmenu xmenu.debug def

  /window.action actRedrawPanel def

  pmenu.update
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Show debug menu.
%
% ( ) => ( )
%
/panel.debug {
  "o_debug" help.setcontext

  window.xmenu
  dup .xmenu xmenu.debug put
  dup .xmenu.update /debug.update put
  dup window.init
      window.show
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Return width of panel entry.
%
% ( ) => ( width )
%
/panel.debug.width {
  /xmenu xmenu.debug def

  pmenu.width
} def


% - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
% Redraw panel entry.
%
% ( panel ) => ( )
%
/panel.debug.update {
  /xmenu xmenu.debug def

  pmenu.panel.update
} def


